using Microsoft.VisualStudio.TestTools.UnitTesting;
using skyscraper8.GS;
using skyscraper8.GS.GSE_RollingSyncByte;
using skyscraper8.GSE;

namespace skyscraper8.Tests.ResourceTests;

[TestClass]
public class Ses12GseTest
{
    [TestMethod]
    public void TestShortPdu()
    {
        byte[] datasource = Resources1.Frame00000357_TSGS1_MIS000_SYNC184;
        GsContextDto dto = new GsContextDto();
        GseWithRollingSyncByteReader reader = new GseWithRollingSyncByteReader(dto);
        reader.PushFrame(new BBHeader(new byte[10], 0), datasource);
    }
}
